perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jonathan Steffan <...@bandwidthmarket.com>
Subject Re: Apache, Mod_Perl Upgrade
Date Fri, 19 Aug 2005 04:37:14 GMT
Jonathan Steffan wrote:

> After much work, I have installed perl 5.8.7 with all the modules I 
> need. I had to upgrade to Apache 2.0.54 from 2.0.40 to be able to 
> install mod_perl2. The new server seems to be working. I still have 
> not gotten anything running. I'm stuck with a problem with mod_php and 
> the server just not starting. However, my plesk control server is 
> still working. Not sure how...
>
> [root@bwmvdedicated modules]# /etc/init.d/httpd start
> Starting httpd: Syntax error on line 1 of 
> /usr/local/apache2/conf.d/php.conf:
> Cannot load /usr/local/apache2/modules/libphp4.so into server: 
> /usr/local/apache2/modules/libphp4.so: cannot open shared object file: 
> No such file or directory
>
> File is deffinitly not there. Any help or direction would be great.
>
> -Jon


I went back to my 2.0.40 install of Apache. The 2.0.54 was not playing 
nice with plesk. How do I update the @INC path and/or mod_perl for the 
new perl 5.8.7? I try using CPAN with install Bundle::Apache and no go. 
Any ideas?

-Jon


Mime
View raw message